Take the 2-minute tour ×
TeX - LaTeX Stack Exchange is a question and answer site for users of TeX, LaTeX, ConTeXt, and related typesetting systems. It's 100% free, no registration required.

When I used the following example to print a shape arrow

\documentclass{article}
\usepackage{tikz}
\usepgflibrary{shapes.arrows} 
\begin{document}
\begin{tikzpicture}
\node [single arrow,minimum width=1cm,minimum height=2cm] {};
\end{tikzpicture}
\end{document} 

the following error happened:

./arrow.tex:6:Package tikz Error: I do not know what to do with the option ``single arrow''. ...arrow,minimum width=1cm,minimum height=2cm]

Do you know what's the problem?

share|improve this question
2  
You might be using an old version of PGF/TikZ. You can find out what version you are using by putting \pgfversion after \begin{document}. It should be at least v 2.10. Note also that you need to use draw in the node options, otherwise you will not see the outline of the shape. –  Jake Jul 18 '11 at 7:09
    
Thanks for your comment. Is there any alternatives? –  Mohammad Jul 18 '11 at 10:09
3  
The single best thing you can do is to upgrade your PGF package. Version 2.1 brings a lot of really important improvements, so even if you found a way to do without it right now, you would run into issues down the road that would force you to upgrade anyway. –  Jake Jul 18 '11 at 13:35
1  
@Jake: Could you please add this as an answer. –  Caramdir Aug 7 '11 at 22:45
    
Since it works with a current version of TikZ (and the additional draw option) the question will be closed as too localized. –  Stefan Kottwitz Jan 28 '13 at 20:41
add comment

closed as too localized by Stefan Kottwitz Jan 28 '13 at 20:41

This question is unlikely to help any future visitors; it is only relevant to a small geographic area, a specific moment in time, or an extraordinarily narrow situation that is not generally applicable to the worldwide audience of the internet. For help making this question more broadly applicable, visit the help center.If this question can be reworded to fit the rules in the help center, please edit the question.

1 Answer

The single best thing you can do is to upgrade your PGF package. Version 2.1 brings a lot of really important improvements, so even if you found a way to do without it right now, you would run into issues down the road that would force you to upgrade anyway.

share|improve this answer
add comment

Not the answer you're looking for? Browse other questions tagged or ask your own question.